Version bump. Fix deprecated opts variable in init script - bug #382135
authorEray Aslan <eras@gentoo.org>
Sat, 17 Sep 2011 10:33:38 +0000 (10:33 +0000)
committerEray Aslan <eras@gentoo.org>
Sat, 17 Sep 2011 10:33:38 +0000 (10:33 +0000)
Package-Manager: portage-2.1.10.18/cvs/Linux x86_64

net-mail/dovecot/ChangeLog
net-mail/dovecot/Manifest
net-mail/dovecot/dovecot-2.0.15.ebuild [new file with mode: 0644]
net-mail/dovecot/files/dovecot.init-r3 [new file with mode: 0644]

index 61e73d465b602d0de2361df431dd35a2e82f2caa..0aefc04dfff2698b1d7ceab5cf5fc64daedff108 100644 (file)
@@ -1,6 +1,12 @@
 # ChangeLog for net-mail/dovecot
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/ChangeLog,v 1.314 2011/09/14 06:04:54 eras Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/ChangeLog,v 1.315 2011/09/17 10:33:38 eras Exp $
+
+*dovecot-2.0.15 (17 Sep 2011)
+
+  17 Sep 2011; Eray Aslan <eras@gentoo.org> +dovecot-2.0.15.ebuild,
+  +files/dovecot.init-r3:
+  Version bump. Fix deprecated opts variable in init script - bug #382135
 
 *dovecot-2.0.14-r1 (14 Sep 2011)
 
index 0f3acb3f13126ff4c52216d54ff1122349c0a641..1bcbf92c5e9818af7d9f312adbf4e2696ec98fc1 100644 (file)
@@ -4,6 +4,7 @@ Hash: SHA256
 AUX dovecot-1.2.init 1701 RMD160 89cdc58d6ad9ac41f8946fabf3c80e0b9f4b61ea SHA1 9cbf10e9d1997ad3703ee1ae37edbcfad6f16b79 SHA256 44b308537454362b00f8ab87257c4a0d8eb5a183452ca2e3487f74b642fac8e0
 AUX dovecot-2.0.12-sdbox.patch 545 RMD160 92b9d80e3cd1c2f915d4c4fcc751a8267c9cf619 SHA1 6046b2a8076b478deab2003142b31020f875fb5e SHA256 f4f70d4ff9453e5ec3246b3bef27adf101de84ce2d1dcff50577ff79b22d9441
 AUX dovecot.init-r2 1599 RMD160 25ef78d824139012d9df98d3f7f0da420a84c061 SHA1 c796be3c8d1b97a3abbf5026dedeab6750187b3b SHA256 208dd8f1f29a09aa306ea7f89aedf11468b187141f2c39b7c148e6007c8de4be
+AUX dovecot.init-r3 1609 RMD160 971a603d1507f40c5377aeedf5fd99485944c525 SHA1 329cf561d55a6dceb7bddd3fd09fb83522a9b548 SHA256 b4fb8ffb9aa7fd270d45512a657dcb5597ae5fe516b1f8e0078aa1892de8ecaa
 DIST dovecot-1.2-managesieve-0.11.13.tar.gz 405999 RMD160 9deed0637f1b5942a1b4996a343fed1b23301023 SHA1 cd5d2149250072aa8079f9db967cfeffc1b57c53 SHA256 2a9b0d6e048fa9294890ca1bee72fe3f41431aa806d0916bb1b6bbe2a8d2c976
 DIST dovecot-1.2-sieve-0.1.19.tar.gz 1048324 RMD160 49808f393d002567f086168b6a3aae042529ad43 SHA1 9b5a8a1c89bb3af5f70a031a560d9833ff5d4101 SHA256 399335d28fe8d45b85d4d0b994739af941fe1bd77a8b46d6f1d07af7c7c95115
 DIST dovecot-1.2.17-managesieve-0.11.13.diff.gz 6461 RMD160 f03842bc846395b55d99c657123d9d82a3c855f4 SHA1 ace323fcbdb4ecb524068ecede3cc704c7637c93 SHA256 6b3a3b5263adc5d30275201fcc8c8ed0b2a659f85eb5b9be65c8000884343b3e
@@ -12,26 +13,28 @@ DIST dovecot-2.0-pigeonhole-0.2.3.tar.gz 1213027 RMD160 63898d5b71aee933399e9e76
 DIST dovecot-2.0-pigeonhole-0.2.4.tar.gz 1230408 RMD160 61cf4209210f56d033586d779eca31f7433dbf62 SHA1 43e1ab3f4435765c6ecf14594c8fa41a3a046bb2 SHA256 9a19dc50bb006de6ee0aec9d3c46e6ee5bc904ca823e6dd9636a2eec5378980e
 DIST dovecot-2.0.13.tar.gz 3272542 RMD160 2c0edd03aba7935e6db18af1384a26bf0b5b432e SHA1 31d556bd1659fb10e5edb45bab8951911151bbfb SHA256 2b512263ec05bbd74cde5c697ad12250d9268eba1c8ce4a8144adea69308675d
 DIST dovecot-2.0.14.tar.gz 3300530 RMD160 f138eb0a290089a308aed8aa40f1a69a64f87926 SHA1 47b4010b277f39cfc9afddf8c0a30e40a17da088 SHA256 42eec803c84bc21a7658a0637428ef6d2f4e2ea8e8cce1177783cc4812c3c7fc
+DIST dovecot-2.0.15.tar.gz 3303717 RMD160 2c315bbce2d7173b1e62c96d3a4bda0910a59d0d SHA1 b90f5c1610d8866413fc39cede218534ad6490e8 SHA256 63640303b5deb299a605a94ffd706cac6866d934175b291d2e66f64e95b97e0d
 EBUILD dovecot-1.2.17.ebuild 8744 RMD160 1c40bc02a47f1bd32bab43c5a37129a53394bbe8 SHA1 5ecf16dbef283f4c0279aba519d129d45e7b2298 SHA256 8f086c275f79bda4f54e2c9b9758c8e636bee12e106748475acac0967238082e
 EBUILD dovecot-2.0.13.ebuild 8928 RMD160 4519a9482f527025f0608c196f4459ce39b5fa2a SHA1 e703435608e33381cb3c27c036113f3f07cbc086 SHA256 047b4a5964a50753d4d0604e517af71a6442d7ee79f1e6e49baf3da40d2d2622
 EBUILD dovecot-2.0.14-r1.ebuild 8857 RMD160 cd4ac752464f887f6a67d8f200a52ee77cd50710 SHA1 fad9c74dc2bb48f34514c34ddc4543429dea71b1 SHA256 850b199377ca85f4e32cac0dbb6e6502fb6ad689509baa2ca72539dbb8047038
 EBUILD dovecot-2.0.14.ebuild 8854 RMD160 926c22e953d956dc3983fbbb8d7eef43e9700d14 SHA1 184e37be42cdea625a5ccb57be96795ffb3a9281 SHA256 86820859336b7d38e88fea978ba892dc2a57990cb40c10016519e65bada0ccd3
-MISC ChangeLog 49317 RMD160 4aed8b795582fe515865fb4cb0b5ffdb6f3431f5 SHA1 ade3efc5c903a3127beea9b68a70e80282160d97 SHA256 2d00bf71fa20b6f9c1f1a7a72f31dd4822d07fdb68b88276b2dc90e4c80c4bef
+EBUILD dovecot-2.0.15.ebuild 8854 RMD160 6130c586fd01646da065837513a33e38e2b9ba4f SHA1 aeb413aa50dd1edef3ba8a0b5f0a13410a307f39 SHA256 6e56b7f2a1b2aef068672aa0d674d18746569efa8ab6525c8c3a09d168eaaa19
+MISC ChangeLog 49517 RMD160 d550da5c0539b51816af83e90d4fb40287fcf8d7 SHA1 622de53f889fa21a5457dc22f512c264244a7c10 SHA256 d77c5a96dd8e1c8e2ca9b9124d97f215f5290c950f555473e4d0f4d57a1f5832
 MISC metadata.xml 703 RMD160 a7a55f21501b09979922b24a931fbf7a5bbf86b1 SHA1 b4c9f2cd2a2fae951e319960ce3aba33d56301cf SHA256 3a897cb8fc88c875563623d2757f7b0ebd08743ba4d4fcbdfe37072d99694c58
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.17 (GNU/Linux)
 
-iQIcBAEBCAAGBQJOcEQLAAoJEHfx8XVYajsfDu0P/3pOuVBOyjonZVbDMz3UOhRv
-ZR0OZl07zyRMuLgOJTQXiENqRXOHW7euuyuMLuMW9vQ6owvBVqiBzUOGACO7vNg8
-I+hBudSdglXo6Wr1VRjSEgtJV5K5Syku6sErbKeOBK6fsG+8svnjmAtcoVEsP5Gc
-89AMPZubIcXR4dlDUHF8Oj4QhPHIVQU4vcacoX9Smfp8PfCjGtYY41chZbt5fzsI
-B5iwQ9fSBbb0A8q9iGz29ewAW03nfD/aoboWC1k/nGB8Ak06pc1y3PeAJwf0UPr+
-+2mugIhxdoFXWLwMqAtRI+twhBzBsQgJ+UhQlPsKfKjleF+D+zExZwUY81UvzO3/
-prdRSZFeWPsBJ0wqJy745vz9HMGHfD5tMnLsMAlDUteHdxEC0C0Gj10NEzxayXke
-mlzpe8gIlWZ4SR9JRE7dtipmzQSyQrsE9qxlQDFhdWdHExbB/9us3+cz9QmAic+P
-x+DEGxc4IThpLi1yUt0H/82ku0rNiggRzGIe2fYHN+JODcWOB9w1aPfoJe633xmh
-6RcYv5bTbGewl4VpZbZRZMBi2vjgffeFNbvzv9Y3P3q83Zyd8gsMkLY39VczLZAM
-XYjrDYmp08Fllp+M8DkVaokAMJyF4UHqTixJ2NSzMGLDyNUXkAcNrBOFQTFmqsvA
-p4mjDD27QGKuEvQHYgqP
-=1Sh7
+iQIcBAEBCAAGBQJOdHeQAAoJEHfx8XVYajsfiUAQAIbVZpTdAlFEVIbeMxytdsYh
+cSeDep6nlHBmDNZznwyJ341XabssugQPCtHyTg6L6TEX1gN3Sqpsx5hG/cgNMsTG
+zADn6p9YtVEEvVoDJFvr2Iqv5LOygmnCYZt/jmhp5sknDYQw/Cov1QWsTm+imfSB
+lQbCOY2cUakntsGNHURlUgsxF8WGKVgq92whKJSNzFSl1FefbR2iCYG51oGmWZVJ
+zdv4zvPXs2lOVQzGgDOY0WqhHYr+XZHxFxSZFIpwUM1ZHVJGyMI2CHuJfAyp13LW
+EpKcoKeOkLTTsYZm9hW1+zkAvS1GivGfECak47SDj7wjp2H9jE3tHRgQfihtAasX
+JotwIFd6r9jv0YXGab8Z64+Iv5S/oABLAWcBcF2uogm7NXrdHynlndZGABqnjSsi
+alMQKGjda0ZVggIaRxH3020KZZg5JP7qQahiFvr4jKeUHlV5Guf+t7ZrXYEpLWVV
+XMun7dCne6miDwRxAV407/k81XyRKsxeTnlFwW+4iFyRXugrMp/tgpbEyRcJ54mE
+wfhkoDiOyGt8HYITjJkhc1+AcLrjNx9PG/iocXyIl/0nlCx7dXx3gnKjZIHwHE61
+gBHF2p9mJr1Vf498P6qNNKXIFmQlS8dE205onT+jPYf1+pSYfzTSurlUmjAt3ER1
+E0blyFDMnidpO0nz9ddL
+=OKBx
 -----END PGP SIGNATURE-----
diff --git a/net-mail/dovecot/dovecot-2.0.15.ebuild b/net-mail/dovecot/dovecot-2.0.15.ebuild
new file mode 100644 (file)
index 0000000..3080446
--- /dev/null
@@ -0,0 +1,276 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/dovecot-2.0.15.ebuild,v 1.1 2011/09/17 10:33:38 eras Exp $
+
+EAPI="3"
+
+inherit eutils versionator ssl-cert
+
+MY_P="${P/_/.}"
+major_minor="$( get_version_component_range 1-2 )"
+sieve_version="0.2.4"
+SRC_URI="http://dovecot.org/releases/${major_minor}/${MY_P}.tar.gz
+       sieve? (
+       http://www.rename-it.nl/dovecot/${major_minor}/dovecot-${major_minor}-pigeonhole-${sieve_version}.tar.gz
+       )
+       managesieve? (
+       http://www.rename-it.nl/dovecot/${major_minor}/dovecot-${major_minor}-pigeonhole-${sieve_version}.tar.gz
+       ) "
+DESCRIPTION="An IMAP and POP3 server written with security primarily in mind"
+HOMEPAGE="http://www.dovecot.org/"
+
+SLOT="0"
+LICENSE="LGPL-2.1 MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="bzip2 caps cydir sdbox doc ipv6 kerberos ldap +maildir managesieve mbox mdbox mysql pam postgres sieve sqlite +ssl suid vpopmail zlib"
+
+DEPEND="caps? ( sys-libs/libcap )
+       kerberos? ( virtual/krb5 )
+       ldap? ( net-nds/openldap )
+       mysql? ( virtual/mysql )
+       pam? ( virtual/pam )
+       postgres? ( dev-db/postgresql-base )
+       sqlite? ( dev-db/sqlite )
+       ssl? ( dev-libs/openssl )
+       vpopmail? ( net-mail/vpopmail )
+       virtual/libiconv"
+
+RDEPEND="${DEPEND}
+       >=net-mail/mailbase-0.00-r8"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       if use managesieve && ! use sieve; then
+               ewarn "managesieve USE flag selected but sieve USE flag unselected"
+               ewarn "sieve USE flag will be turned on"
+       fi
+
+       # Add user and group for login process (same as for fedora/redhat)
+       # default internal user
+       enewgroup dovecot 97
+       enewuser dovecot 97 -1 /dev/null dovecot
+       # add "mail" group for suid'ing. Better security isolation.
+       if use suid; then
+               enewgroup mail
+       fi
+       # default login user
+       enewuser dovenull -1 -1 /dev/null
+}
+
+src_configure() {
+       local conf=""
+
+       if use postgres || use mysql || use sqlite; then
+               conf="${conf} --with-sql"
+       fi
+
+       local storages=""
+       for storage in cydir sdbox mdbox maildir mbox; do
+               use ${storage} && storages="${storage} ${storages}"
+       done
+       [ "${storages}" ] || storages="maildir"
+
+       # turn valgrind tests off. Bug #340791
+       VALGRIND=no econf \
+               --localstatedir="${EPREFIX}/var" \
+               --with-moduledir="${EPREFIX}/usr/$(get_libdir)/dovecot" \
+               $( use_with bzip2 bzlib ) \
+               $( use_with caps libcap ) \
+               $( use_with kerberos gssapi ) \
+               $( use_with ldap ) \
+               $( use_with mysql ) \
+               $( use_with pam ) \
+               $( use_with postgres pgsql ) \
+               $( use_with sqlite ) \
+               $( use_with ssl ) \
+               $( use_with vpopmail ) \
+               $( use_with zlib ) \
+               --with-storages="${storages}" \
+               --disable-rpath \
+               --without-systemdsystemunitdir \
+               ${conf}
+
+       if use sieve || use managesieve ; then
+               # The sieve plugin needs this file to be build to determine the plugin
+               # directory and the list of libraries to link to.
+               emake dovecot-config || die "emake dovecot-config failed"
+               cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
+               econf \
+                       --localstatedir="${EPREFIX}/var" \
+                       --enable-shared \
+                       --with-dovecot="../${MY_P}" \
+                       $( use_with managesieve )
+       fi
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" || die "make failed"
+
+       if use sieve || use managesieve ; then
+               cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
+               emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" || die "make sieve failed"
+       fi
+}
+
+src_test() {
+       default_src_test
+       if use sieve || use managesieve ; then
+               cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
+               default_src_test
+       fi
+}
+
+src_install () {
+       emake DESTDIR="${ED}" install || die "make install failed"
+
+       # insecure:
+       # use suid && fperms u+s /usr/libexec/dovecot/deliver
+       # better:
+       if use suid;then
+               einfo "Changing perms to allow deliver to be suided"
+               fowners root:mail "${ED}"/usr/libexec/dovecot/deliver
+               fperms 4750 "${ED}"/usr/libexec/dovecot/deliver
+       fi
+
+       newinitd "${FILESDIR}"/dovecot.init-r3 dovecot
+
+       rm -rf "${ED}"/usr/share/doc/dovecot
+
+       dodoc AUTHORS NEWS README TODO || die "basic dodoc failed"
+       dodoc doc/*.{txt,cnf,xml,sh} || die "dodoc doc failed"
+       docinto example-config
+       dodoc doc/example-config/*.{conf,ext} || die "dodoc example failed"
+       docinto example-config/conf.d
+       dodoc doc/example-config/conf.d/*.{conf,ext} || die "dodoc conf.d failed"
+       docinto wiki
+       dodoc doc/wiki/* || die "dodoc wiki failed"
+       doman doc/man/*.{1,7}
+
+       # Create the dovecot.conf file from the dovecot-example.conf file that
+       # the dovecot folks nicely left for us....
+       local conf="${ED}/etc/dovecot/dovecot.conf"
+       local confd="${ED}/etc/dovecot/conf.d"
+
+       insinto /etc/dovecot
+       doins doc/example-config/*.{conf,ext}
+       insinto /etc/dovecot/conf.d
+       doins doc/example-config/conf.d/*.{conf,ext}
+       fperms 0600 "${EPREFIX}"/etc/dovecot/dovecot-{ldap,sql}.conf.ext
+       rm -f "${confd}/../README"
+
+       # .maildir is the Gentoo default
+       local mail_location="maildir:~/.maildir"
+       if ! use maildir; then
+               if use mbox; then
+                       mail_location="mbox:/var/spool/mail/%u:INDEX=/var/dovecot/%u"
+                       keepdir /var/dovecot
+                       sed -i -e 's|#mail_privileged_group =|mail_privileged_group = mail|' \
+                       "${confd}/10-mail.conf" || die "sed failed"
+               elif use sdbox ; then
+                       mail_location="sdbox:~/.sdbox"
+               elif use mdbox ; then
+                       mail_location="mdbox:~/.mdbox"
+               fi
+       fi
+       sed -i -e \
+               "s|#mail_location =|mail_location = ${mail_location}|" \
+               "${confd}/10-mail.conf" \
+               || die "failed to update mail location settings in 10-mail.conf"
+
+       # We're using pam files (imap and pop3) provided by mailbase
+       if use pam; then
+               sed -i -e '/driver = pam/,/^[ \t]*}/ s|#args = dovecot|args = "\*"|' \
+                       "${confd}/auth-system.conf.ext" \
+                       || die "failed to update PAM settings in auth-system.conf.ext"
+               # mailbase does not provide a sieve pam file
+               use managesieve && dosym imap /etc/pam.d/sieve
+               sed -i -e \
+                       's/#!include auth-system.conf.ext/!include auth-system.conf.ext/' \
+                       "${confd}/10-auth.conf" \
+                       || die "failed to update PAM settings in 10-auth.conf"
+       fi
+
+       # Disable ipv6 if necessary
+       if ! use ipv6; then
+               sed -i -e 's/^#listen = \*, ::/listen = \*/g' "${conf}" \
+                       || die "failed to update listen settings in dovecot.conf"
+       fi
+
+       # Update ssl cert locations
+       if use ssl; then
+               sed -i -e 's:^#ssl = yes:ssl = yes:' "${confd}/10-ssl.conf" \
+               || die "ssl conf failed"
+               sed -i -e 's:^ssl_cert =.*:ssl_cert = </etc/ssl/dovecot/server.pem:' \
+                       -e 's:^ssl_key =.*:ssl_key = </etc/ssl/dovecot/server.key:' \
+                       "${confd}/10-ssl.conf" || die "failed to update SSL settings in 10-ssl.conf"
+       fi
+
+       # Install SQL configuration
+       if use mysql || use postgres; then
+               sed -i -e \
+                       's/#!include auth-sql.conf.ext/!include auth-sql.conf.ext/' \
+                       "${confd}/10-auth.conf" || die "failed to update SQL settings in \
+                       10-auth.conf"
+       fi
+
+       # Install LDAP configuration
+       if use ldap; then
+               sed -i -e \
+                       's/#!include auth-ldap.conf.ext/!include auth-ldap.conf.ext/' \
+                       "${confd}/10-auth.conf" \
+                       || die "failed to update ldap settings in 10-auth.conf"
+       fi
+
+       if use vpopmail; then
+               sed -i -e \
+                       's/#!include auth-vpopmail.conf.ext/!include auth-vpopmail.conf.ext/' \
+                       "${confd}/10-auth.conf" \
+                       || die "failed to update vpopmail settings in 10-auth.conf"
+       fi
+
+       if use sieve || use managesieve ; then
+               cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
+               emake DESTDIR="${ED}" install || die "make install failed (sieve)"
+               sed -i -e \
+                       's/^[[:space:]]*#mail_plugins = $mail_plugins/mail_plugins = sieve/' "${confd}/15-lda.conf" \
+                       || die "failed to update sieve settings in 15-lda.conf"
+               rm -rf "${ED}"/usr/share/doc/dovecot
+               dodoc doc/*.txt
+               docinto example-config/conf.d
+               dodoc doc/example-config/conf.d/*.conf
+               insinto /etc/dovecot/conf.d
+               doins doc/example-config/conf.d/90-sieve.conf
+               use managesieve && doins doc/example-config/conf.d/20-managesieve.conf
+               docinto sieve/rfc
+               dodoc doc/rfc/*.txt
+               docinto sieve/devel
+               dodoc doc/devel/DESIGN
+               doman doc/man/*.{1,7}
+       fi
+}
+
+pkg_preinst() {
+       if has_version "<${CATEGORY}/${PN}-2" ; then
+               elog "There are a lot of changes in configuration files in dovecot-2.0."
+               elog "Please read http://wiki.dovecot.org/Upgrading and"
+               elog "check the conf files in ${ROOT}etc/dovecot."
+               elog "You can also run doveconf -n before running etc-update or"
+               elog "dispatch-conf to get an idea about what needs to be changed."
+               ewarn "\nDo NOT {re}start dovecot without checking your conf files"
+               ewarn "and making the necessary changes.\n"
+       fi
+}
+
+pkg_postinst() {
+       if use ssl; then
+       # Let's not make a new certificate if we already have one
+               if ! [[ -e "${ROOT}"/etc/ssl/dovecot/server.pem && \
+               -e "${ROOT}"/etc/ssl/dovecot/server.key ]];     then
+                       einfo "Creating SSL     certificate"
+                       SSL_ORGANIZATION="${SSL_ORGANIZATION:-Dovecot IMAP Server}"
+                       install_cert /etc/ssl/dovecot/server
+               fi
+       fi
+}
diff --git a/net-mail/dovecot/files/dovecot.init-r3 b/net-mail/dovecot/files/dovecot.init-r3
new file mode 100644 (file)
index 0000000..98c0e7d
--- /dev/null
@@ -0,0 +1,58 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/files/dovecot.init-r3,v 1.1 2011/09/17 10:33:38 eras Exp $
+
+extra_started_commands="reload"
+
+depend() {
+       need localmount net
+       before postfix
+       after bootmisc ldap mysql ntp-client ntpd postgresql saslauthd slapd 
+       use logger
+}
+
+checkconfig() {
+       DOVECOT_INSTANCE=${SVCNAME##*.}
+       if [ -n "${DOVECOT_INSTANCE}" -a "${SVCNAME}" != "dovecot" ]; then
+               DOVECOT_CONF=/etc/dovecot/dovecot.${DOVECOT_INSTANCE}.conf
+       else
+               DOVECOT_CONF=/etc/dovecot/dovecot.conf
+       fi
+       if [ ! -e ${DOVECOT_CONF} ]; then
+               eerror "You will need an ${DOVECOT_CONF} first"
+               return 1
+       fi
+       if [ -x /usr/sbin/dovecot ]; then
+               DOVECOT_BASEDIR=$(/usr/sbin/dovecot -c ${DOVECOT_CONF} -a | grep '^base_dir = ' | sed 's/^base_dir = //')
+       else
+               eerror "dovecot not executable"
+               return 1
+       fi
+       DOVECOT_BASEDIR=${DOVECOT_BASEDIR:-/var/run/dovecot}
+       DOVECOT_PIDFILE=${DOVECOT_BASEDIR}/master.pid
+}
+
+start() {
+       checkconfig || return 1
+       ebegin "Starting ${SVCNAME}"
+       start-stop-daemon --start --exec /usr/sbin/dovecot \
+               --pidfile "${DOVECOT_PIDFILE}" -- -c "${DOVECOT_CONF}"
+       eend $?
+}
+
+stop() {
+       checkconfig || return 1
+       ebegin "Stopping ${SVCNAME}"
+       start-stop-daemon --stop --exec /usr/sbin/dovecot \
+               --pidfile "${DOVECOT_PIDFILE}"
+       eend $?
+}
+
+reload() {
+       checkconfig || return 1
+       ebegin "Reloading ${SVCNAME} configs and restarting auth/login processes"
+       start-stop-daemon --signal HUP --exec /usr/sbin/dovecot \
+               --pidfile "${DOVECOT_PIDFILE}"
+       eend $?
+}